ranges::concepts::InsertableRange Struct Reference
Utility » Concepts
Inheritance diagram for ranges::concepts::InsertableRange:

## Public Member Functions

template<typename Rng , typename... Rest>
auto | requires_ (Rng &&rng, Rest &&... rest) -> decltype(concepts::valid_expr(((void) ranges::insert(static_cast< Rng &&>(rng), static_cast< Rest &&>(rest)...), 42)))
Public Member Functions inherited from ranges::v3::concepts::refines< Range(_1)>
void | requires_ ()

## Additional Inherited Members

Public Types inherited from ranges::v3::concepts::refines< Range(_1)>
using | base_concepts_t = meta::list< Concepts... >